<script lang="ts">
import Vue from 'vue';
import CardWrapper from './card-wrapper.vue';

export default Vue.extend({
  components: {
    CardWrapper,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="container">
    <div v-if="data.header">
      <SlpTypography tag="h2" variant="heading2" class="header">{{
        data.header
      }}</SlpTypography>
    </div>
    <div class="cards_container">
      <a
        v-for="blog in data.cards"
        :key="blog.title"
        class="anchor"
        :href="blog.blog_url"
      >
        <CardWrapper class="blog_card">
          <nuxt-img
            :src="blog.image_url || '/nuxt-images/blogimages/blogdefault.png'"
            :alt="blog.image_alt ? blog.image_alt : ''"
            class="display_image"
            format="webp"
            quality="99"
          />
          <div class="blog_card__content">
            <div class="category">
              <SlpIcon name="blog" variant="marketing" />
              <SlpTypography tag="p" variant="body2">{{
                blog.category
              }}</SlpTypography>
            </div>
            <SlpTypography tag="p" variant="body1" class="title">
              {{ blog.title }}
            </SlpTypography>
            <div class="author">
              <img
                class="portrait"
                :src="
                  blog.portrait_url ||
                  '/nuxt-images/blogimages/author_default.png'
                "
                :alt="`${blog.author_name} portrait`"
              />
              <SlpTypography tag="span" variant="body3">{{
                blog.author_name
              }}</SlpTypography>
            </div>
          </div>
        </CardWrapper>
      </a>
    </div>
    <div v-if="data.more" class="read_more">
      <SlpTypography tag="p" variant="heading5">{{
        data.more.title
      }}</SlpTypography>
      <slp-button
        :href="data.more.button_url"
        :data-ga-name="data.more.data_ga_name"
        :data-ga-location="data.more.data_ga_location"
        >{{ data.more.button_text }}</slp-button
      >
    </div>
  </section>
</template>

<style lang="scss" scoped>
.anchor {
  margin: 0 15px;
}

.header {
  margin-bottom: $spacing-32;
  text-align: center;
}
.container {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: center;
}

.read_more {
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin-bottom: 132px;
  text-align: center;
  align-items: center;
  p {
    font-size: 19px;
    line-height: 24px;
    margin-bottom: $spacing-32;
  }
}

.cards_container {
  display: flex;
  flex-direction: column;
  margin-bottom: 40px;
  @media (min-width: $breakpoint-lg) {
    flex-direction: row;
  }
}

.blog_card {
  position: relative;
  max-width: 350px;
  width: 350px;
  height: 100%;
  color: #333;
  margin-bottom: $spacing-16;

  .display_image {
    width: 100%;
  }

  &__content {
    padding: $spacing-16 $spacing-24 $spacing-32 $spacing-24;
  }

  .title {
    margin-bottom: $spacing-48;
  }

  .category {
    line-height: 20px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: $spacing-32;
    p {
      margin-left: 10px;
    }
  }

  .author {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    span {
      margin-left: $spacing-8;
      font-size: 12px;
      line-height: 20px;
    }
  }
  .portrait {
    max-height: 48px;
    object-fit: scale-down;
    border-radius: 24px;
  }
}
</style>
